const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v3_f = arg1[48];
    v0_12 = z.x # bp+12;
    if *((v3_f - 12)) == 0:;
        v4_bb = v3_f - 28;
        v4_c0 = v3_f - 36;
        v4_c5 = v3_f - 44;
        v4_d5 = (z.x * *v4_bb + z.y * *v4_c0 + z.z * *v4_c5) / (*v4_bb + *v4_c0 + *v4_c5);
        v0_ae = v0_12;
    else:;
        # 0x20;
        v4_d5 = *((v3_f - 20));
        fabs(z.x);
        z.x = __asm_fyl2x();
        z.x = __asm_fprem();
        z.x = __asm_f2xm1();
        z.x = __asm_fscale();
        fabs(z.y);
        z.x = __asm_fyl2x();
        z.x = __asm_fprem();
        z.x = __asm_f2xm1();
        z.x = __asm_fscale();
        fabs(z.z);
        z.x = __asm_fyl2x();
        z.x = __asm_fprem();
        z.x = __asm_f2xm1();
        z.x = __asm_fscale();
        z.x = __asm_fyl2x();
        z.x = __asm_fprem();
        z.x = __asm_f2xm1();
        z.x = __asm_fscale();
        v0_ae = v0_12;
    # 0xa6;
    z.z[8] = v4_d5;
    *((arg1 - 56)) = v4_d5;
    z.x = v0_ae;
    return v0_ae;


	}